import { Description } from "./Description";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class ToolActionDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    constructor();
    private h;
    get actions(): ToolActionDescription[];
    set actions(a: ToolActionDescription[]);
    private aa;
    get width(): number;
    set width(a: number);
    private be;
    get parentId(): string;
    set parentId(a: string);
    private az;
    get beforeId(): string;
    set beforeId(a: string);
    private ax;
    get afterId(): string;
    set afterId(a: string);
    private bd;
    get overlayId(): string;
    set overlayId(a: string);
    private a1;
    get commandId(): string;
    set commandId(a: string);
    private a0;
    get commandArgument(): string;
    set commandArgument(a: string);
    private ap;
    get commandArgumentValue(): any;
    set commandArgumentValue(a: any);
    private x;
    get paddingLeft(): number;
    set paddingLeft(a: number);
    private o;
    get actualPaddingLeft(): number;
    set actualPaddingLeft(a: number);
    private y;
    get paddingRight(): number;
    set paddingRight(a: number);
    private p;
    get actualPaddingRight(): number;
    set actualPaddingRight(a: number);
    private w;
    get paddingBottom(): number;
    set paddingBottom(a: number);
    private n;
    get actualPaddingBottom(): number;
    set actualPaddingBottom(a: number);
    private z;
    get paddingTop(): number;
    set paddingTop(a: number);
    private q;
    get actualPaddingTop(): number;
    set actualPaddingTop(a: number);
    private at;
    get actualHoverBackground(): string;
    set actualHoverBackground(a: string);
    private a6;
    get hoverBackground(): string;
    set hoverBackground(a: string);
    private ar;
    get actualBackground(): string;
    set actualBackground(a: string);
    private ay;
    get background(): string;
    set background(a: string);
    private aw;
    get actualTextColor(): string;
    set actualTextColor(a: string);
    private bh;
    get textColor(): string;
    set textColor(a: string);
    private as;
    get actualDisabledTextColor(): string;
    set actualDisabledTextColor(a: string);
    private a2;
    get disabledTextColor(): string;
    set disabledTextColor(a: string);
    private a3;
    get fontFamily(): string;
    set fontFamily(a: string);
    private r;
    get fontSize(): number;
    set fontSize(a: number);
    private a4;
    get fontStyle(): string;
    set fontStyle(a: string);
    private a5;
    get fontWeight(): string;
    set fontWeight(a: string);
    private k;
    get isDisabled(): boolean;
    set isDisabled(a: boolean);
    private bb;
    get name(): string;
    set name(a: string);
    private bi;
    get title(): string;
    set title(a: string);
    private bg;
    get subtitle(): string;
    set subtitle(a: string);
    private a9;
    get iconName(): string;
    set iconName(a: string);
    private a7;
    get iconCollectionName(): string;
    set iconCollectionName(a: string);
    private t;
    get iconViewBoxLeft(): number;
    set iconViewBoxLeft(a: number);
    private u;
    get iconViewBoxTop(): number;
    set iconViewBoxTop(a: number);
    private v;
    get iconViewBoxWidth(): number;
    set iconViewBoxWidth(a: number);
    private s;
    get iconViewBoxHeight(): number;
    set iconViewBoxHeight(a: number);
    private a8;
    get iconFill(): string;
    set iconFill(a: string);
    private au;
    get actualIconFill(): string;
    set actualIconFill(a: string);
    private ba;
    get iconStroke(): string;
    set iconStroke(a: string);
    private av;
    get actualIconStroke(): string;
    set actualIconStroke(a: string);
    private bj;
    get visibility(): string;
    set visibility(a: string);
    private j;
    get closeOnExecute(): boolean;
    set closeOnExecute(a: boolean);
    private bc;
    get onCommandRef(): string;
    set onCommandRef(a: string);
    private bf;
    get performedRef(): string;
    set performedRef(a: string);
}
